Skip to content

Manage transaction

Manage Transaction API 1.0.0

transactions-api


POST /api/transactions/manage

Input parameters

Parameter In Type Default Nullable Description
jwt header string N/A No JWT Bearer token

Request body

{
    "terminal_id": "string",
    "currency": "string",
    "amount": 205,
    "reference": "string",
    "metadata": {},
    "transaction_type": "string",
    "parent_transaction_id": "string",
    "options": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "required": [
        "terminal_id",
        "currency",
        "amount",
        "reference",
        "transaction_type"
    ],
    "type": "object",
    "properties": {
        "terminal_id": {
            "type": "string",
            "nullable": false
        },
        "currency": {
            "description": "Has to be same as original transaction",
            "type": "string",
            "nullable": false
        },
        "amount": {
            "format": "int64",
            "description": "Has to be less or equal to original transaction amount",
            "type": "integer",
            "nullable": false
        },
        "reference": {
            "description": "Original order reference",
            "type": "string",
            "nullable": false
        },
        "metadata": {
            "type": "object",
            "additionalProperties": {
                "type": "string"
            },
            "nullable": false
        },
        "transaction_type": {
            "type": "string",
            "nullable": false
        },
        "parent_transaction_id": {
            "description": "If specified manage new transaction will be executed against this transaction",
            "type": "string",
            "nullable": false
        },
        "options": {
            "description": "Define possible options when managing transaction such as final_capture",
            "type": "object",
            "additionalProperties": {},
            "nullable": false
        }
    }
}

Responses

{
    "id": "string",
    "merchant_id": "string",
    "order_id": "string",
    "terminal_id": "string",
    "reference": "string",
    "description": "string",
    "currency": "string",
    "amount": 90,
    "customer": {
        "address": "string",
        "city": "string",
        "country": "string",
        "email": "string",
        "first_name": "string",
        "id": "string",
        "last_name": "string",
        "phone": "string",
        "postal_code": "string"
    },
    "processing_result": {
        "approval_code": "string",
        "payment_provider_account_id": "string",
        "payment_provider_id": "string",
        "reference_number": "string"
    },
    "approved": true,
    "pending": true,
    "channel": "string",
    "transaction_type": "string",
    "status": "CREATED",
    "payment_method": {
        "brand": "string",
        "hash": "string",
        "masked": "string",
        "method": "string",
        "token": "string",
        "type": "string"
    },
    "redirect_url": "string",
    "normalized_amount": 44,
    "errors": [
        {}
    ],
    "processing_code": "string",
    "response_message": "string",
    "data": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "id": {
            "type": "string"
        },
        "merchant_id": {
            "type": "string"
        },
        "order_id": {
            "type": "string"
        },
        "terminal_id": {
            "type": "string"
        },
        "reference": {
            "type": "string"
        },
        "description": {
            "type": "string"
        },
        "currency": {
            "type": "string"
        },
        "amount": {
            "format": "int64",
            "type": "integer"
        },
        "customer": {
            "$ref": "#/components/schemas/CustomerDto"
        },
        "processing_result": {
            "$ref": "#/components/schemas/ProcessingResultDto"
        },
        "approved": {
            "type": "boolean"
        },
        "pending": {
            "type": "boolean"
        },
        "channel": {
            "type": "string"
        },
        "transaction_type": {
            "type": "string"
        },
        "status": {
            "$ref": "#/components/schemas/TransactionStatus"
        },
        "payment_method": {
            "$ref": "#/components/schemas/PaymentMethodDataDto"
        },
        "redirect_url": {
            "type": "string"
        },
        "normalized_amount": {
            "format": "int64",
            "type": "integer",
            "nullable": false
        },
        "errors": {
            "type": "array",
            "items": {
                "type": "object",
                "additionalProperties": {}
            },
            "nullable": true
        },
        "processing_code": {
            "type": "string",
            "nullable": true
        },
        "response_message": {
            "type": "string",
            "nullable": true
        },
        "data": {
            "type": "object",
            "allOf": [
                {
                    "$ref": "#/components/schemas/TransactionDataDto"
                }
            ],
            "nullable": true
        }
    }
}
Schema of the response body
null
Schema of the response body
null

Schemas

CustomerDto

Name Type Description
address string | null
city string | null
country string | null
email string | null
first_name string | null
id string | null
last_name string | null
phone string | null
postal_code string | null

ExtendedTransactionDto

Name Type Description
amount integer(int64)
approved boolean
channel string
currency string
customer CustomerDto
data
description string
errors Array<>
id string
merchant_id string
normalized_amount integer(int64)
order_id string
payment_method PaymentMethodDataDto
pending boolean
processing_code string | null
processing_result ProcessingResultDto
redirect_url string
reference string
response_message string | null
status TransactionStatus
terminal_id string
transaction_type string

ManageTransactionRequestDto

Name Type Description
amount integer(int64) Has to be less or equal to original transaction amount
currency string Has to be same as original transaction
metadata
options Define possible options when managing transaction such as final_capture
parent_transaction_id string If specified manage new transaction will be executed against this transaction
reference string Original order reference
terminal_id string
transaction_type string

PaymentMethodDataDto

Name Type Description
brand string
hash string
masked string
method string
token string
type string

ProcessingResultDto

Name Type Description
approval_code string | null
payment_provider_account_id string | null
payment_provider_id string | null
reference_number string | null

RetryOptionsDto

Name Type Description
data
payment_provider_account_id string
payment_provider_id string
retry_count integer(int32)
status RetryStatus

RetryStatus

Type: string

TransactionDataDto

Name Type Description
retry_options

TransactionStatus

Type: string

Security schemes

Name Type Scheme Description
jwt http bearer